Get a skill
get
/v1/skills/{skill_id}Single skill by UUID incl. full body. Public skills readable cross-workspace; private only by owning-workspace members.
Requires a bearer token: Authorization: Bearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
| skill_id | string <uuid> | Yes | SkillId.e.g. 00000000-0000-4000-8000-000000000000 |
Request
cURL
curl -X GET https://api.wellapp.ai/v1/skills/{skill_id} \
-H "Authorization: Bearer $WELL_API_TOKEN"Responses
200 — The skill resource (with body).
{
"data": {}
}401 — Unauthorized.
{
"code": "UNAUTHORIZED",
"status": 401,
"title": "Unauthorized",
"message": "See title.",
"meta": {
"trace_id": "a1b2c3",
"log_id": "a1b2c3"
}
}404 — Not found.
{
"code": "NOT_FOUND",
"status": 404,
"title": "Not Found",
"message": "See title.",
"meta": {
"trace_id": "a1b2c3",
"log_id": "a1b2c3"
}
}